// 秒寻科技
// 解调模块-主控。该模块负责对信号进行解调，输出各频点的定位数据
// zt
// 2023-03-03

#ifndef __DMDL_MAIN_H__
#define __DMDL_MAIN_H__

#include "../../sysdefine/sysdef.h"

// 供外部使用的接口
void dmdl_main_init();
int16 *dmdl_main_get_audio_sample_data();
void dmdl_main(PUB_LOCATION_DATA_T *pstLocationDataList);
void dmdl_main_old(PUB_LOCATION_DATA_T *pstLocationDataList);

// 内部接口
void dmdl_main_fft(int16 *pwData, flt32 *pfFftReal, flt32 *pfFftImag, int16 *pwButterflyList);
void dmdl_main_complex_sequence_multiply(flt32 *pfSignalReal, flt32 *pfSignalImag, flt32 *pfFilterReal, flt32 *pfFilterImag);

#endif